<?php

namespace App\Http\Controllers;

use App\Models\User_Master;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;
use Illuminate\Http\Request;

class FeatureController extends Controller
{
    /**
     *
     *
     * @return Application|Factory|View
     */
    public function aboutUs()
    {
        return view('help.about_us');
    }

    /**
     *
     *
     * @return Application|Factory|View
     */
    public function privacyPolicy()
    {
        return view('help.privacy_policy');
    }
    
    /**
     *
     *
     * @return Application|Factory|View
     */
    public function termsConditions()
    {
        return view('help.terms_conditions');
    }
    
    public function testChat()
    {
//        $model = Message_Master::where('msg_id',1);
//        dd(getBaseSql($model));

        return view('test-chat');
    }

    public function userDetails(Request $request, $id)
    {
        $user = User_Master::where('user_id',$id)->first();

        if (empty($user)) {
            return abort(404);
        }

        return view('user-details', compact('user'));
    }
}
